<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseElement StructType
 * @subpackage Structs
 */
class JP_CruiseElement extends JP_BaseElement
{
    /**
     * The CruiseBookingInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseBookingInfo
     */
    public $CruiseBookingInfo;
    /**
     * Constructor method for JP_CruiseElement
     * @uses JP_CruiseElement::setCruiseBookingInfo()
     * @param \StructType\JP_CruiseBookingInfo $cruiseBookingInfo
     */
    public function __construct(\StructType\JP_CruiseBookingInfo $cruiseBookingInfo = null)
    {
        $this
            ->setCruiseBookingInfo($cruiseBookingInfo);
    }
    /**
     * Get CruiseBookingInfo value
     * @return \StructType\JP_CruiseBookingInfo|null
     */
    public function getCruiseBookingInfo()
    {
        return $this->CruiseBookingInfo;
    }
    /**
     * Set CruiseBookingInfo value
     * @param \StructType\JP_CruiseBookingInfo $cruiseBookingInfo
     * @return \StructType\JP_CruiseElement
     */
    public function setCruiseBookingInfo(\StructType\JP_CruiseBookingInfo $cruiseBookingInfo = null)
    {
        $this->CruiseBookingInfo = $cruiseBookingInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
